package org.ldiasrs.ondegasto.view.vaadin.bill.layout;

import org.ldiasrs.ondegasto.view.vaadin.common.Messages;

import com.vaadin.annotations.AutoGenerated;
import com.vaadin.terminal.ThemeResource;
import com.vaadin.ui.Button;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.HorizontalLayout;
import com.vaadin.ui.Label;
import com.vaadin.ui.Layout;

/**
 * Layout.
 * @author ld24078
 */
public class MonthActionsPanelLayout extends CustomComponent {

    private static final long serialVersionUID = -335184347348207740L;
    @AutoGenerated
    private Layout mainLayout;
    @AutoGenerated
    private Label currentMonth;
    @AutoGenerated
    private Button btForward;
    @AutoGenerated
    private Button btCurrent;
    @AutoGenerated
    private Button btBack;

    /**
     * The constructor should first build the main layout, set the composition
     * root and then do any custom initialization. The constructor will not be
     * automatically regenerated by the visual editor.
     */
    public MonthActionsPanelLayout() {
        buildMainLayout();
        setCompositionRoot(mainLayout);

        // TODO add user code here
    }

    public Button getBtForward() {
        return btForward;
    }

    public Button getBtBack() {
        return btBack;
    }

    public Button getBtCurrent() {
        return btCurrent;
    }

    public Label getCurrentMonth() {
        return currentMonth;
    }

    public void setCurrentMonthLabel(final String currentMonthArg) {
        this.getCurrentMonth().setCaption(currentMonthArg);
    }

    @AutoGenerated
    private Layout buildMainLayout() {
        // common part: create layout
        mainLayout = new HorizontalLayout();
        mainLayout.setStyleName("toolbar"); //$NON-NLS-1$

        // btBack
        btBack = new Button();
        btBack.setCaption(Messages.getString("MonthActionsPanelLayout.1")); //$NON-NLS-1$
        btBack.setIcon(new ThemeResource("icons/paratras.png")); //$NON-NLS-1$
        btBack.setImmediate(true);
        mainLayout.addComponent(btBack);

        // btCurrent
        btCurrent = new Button();
        btCurrent.setCaption(Messages.getString("MonthActionsPanelLayout.3")); //$NON-NLS-1$
        btCurrent.setIcon(new ThemeResource("icons/corrente.png")); //$NON-NLS-1$
        btCurrent.setImmediate(true);
        mainLayout.addComponent(btCurrent);

        // btForward
        btForward = new Button();
        btForward.setStyleName("v-button-test"); //$NON-NLS-1$
        btForward.setIcon(new ThemeResource("icons/parafrente.png")); //$NON-NLS-1$
        btForward.setCaption(Messages.getString("MonthActionsPanelLayout.7")); //$NON-NLS-1$
        btForward.setImmediate(true);
        mainLayout.addComponent(btForward);

        Layout monthLayout = new HorizontalLayout();
        monthLayout.setStyleName("current-month-label"); //$NON-NLS-1$
        // currentMonth
        currentMonth = new Label();
        currentMonth.setCaption(Messages.getString("MonthActionsPanelLayout.9")); //$NON-NLS-1$
        currentMonth.setStyleName("current-month-label"); //$NON-NLS-1$
        currentMonth.setImmediate(false);
        monthLayout.addComponent(currentMonth);
        mainLayout.addComponent(monthLayout);

        return mainLayout;
    }

}
